# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Nov 20 11:48:19 2024
# ------------------------------------------------

package:
  name: relion
  version: 4.0.2
source:
  sha256: 7ccc941a6a885bd850efa8867ea908254d8dc260cf72cc24c375bb9f1d56bf91
  url: https://github.com/3dem/relion/archive/refs/tags/4.0.2.tar.gz
build:
  number: '1'
  run_exports:
    - relion >=4.0.2,<5.0a0
  string: h7301440_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_2
    - binutils_linux-aarch64 2.43 hf1166c9_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.8.30 hcefe29a_0
    - cmake 3.30.5 hbb72600_0
    - gcc_impl_linux-aarch64 12.4.0 hfb8d6db_1
    - gcc_linux-aarch64 12.4.0 heb3b579_7
    - gxx_impl_linux-aarch64 12.4.0 h3c1ec91_1
    - gxx_linux-aarch64 12.4.0 h3f57e68_7
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libcurl 8.10.1 h3ec0cbf_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.4 h5ad3122_0
    - libgcc 14.2.0 he277a41_1
    - libgcc-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libgcc-ng 14.2.0 he9431aa_1
    - libgomp 14.2.0 he277a41_1
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 12.4.0 h469570c_1
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libuv 1.49.2 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 hcccb83c_1
    - openssl 3.4.0 h86ecc28_0
    - rhash 1.4.5 h86ecc28_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_18
    - tzdata 2024b hc8b5060_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - fftw 3.3.10 nompi_h020dacd_110
    - lerc 4.0.0 h4de3ea5_0
    - libdeflate 1.21 h68df207_0
    - libgcc 14.2.0 he277a41_1
    - libgcc-ng 14.2.0 he9431aa_1
    - libgfortran 14.2.0 he9431aa_1
    - libgfortran-ng 14.2.0 he9431aa_1
    - libgfortran5 14.2.0 hb6113d0_1
    - libgomp 14.2.0 he277a41_1
    - libjpeg-turbo 3.0.0 h31becfc_1
    - libpng 1.6.44 hc4a20ef_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libtiff 4.6.0 h395e79b_4
    - libwebp-base 1.4.0 h31becfc_0
    - libzlib 1.3.1 h86ecc28_2
    - mpi 1.0 openmpi
    - openmpi 4.1.6 h1f4154d_101
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.6 h02f22dd_0
  run:
    - fftw >=3.3.10,<4.0a0
    - libgcc >=12
    - libpng >=1.6.44,<1.7.0a0
    - libstdcxx >=12
    - libtiff >=4.6.0,<4.7.0a0
    - openmpi >=4.1.6,<5.0a0
test:
  commands:
    - relion_image_handler --help
about:
  home: https://github.com/3dem/relion
  license: GPLv2
  license_family: GPL
  license_file: LICENSE
  summary: Image-processing software for cryo-electron microscopy
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - multimeric
